/*
     Copyright 2007 Joseph M. Ferner

   Licensed under the Apache License, Version 2.0 (the "License");
   you may not use this file except in compliance with the License.
   You may obtain a copy of the License at

       http://www.apache.org/licenses/LICENSE-2.0

   Unless required by applicable law or agreed to in writing, software
   distributed under the License is distributed on an "AS IS" BASIS,
   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
   See the License for the specific language governing permissions and
   limitations under the License.
*/

namespace OpenServers.Net.Common.FileSystem.Virtual {
    /// <summary>
    /// a virtual file system for working with virtual objects.
    /// </summary>
    public class VirtualFileSystem : AbstractFileSystem {
        /// <summary>
        /// constructor.
        /// </summary>
        public VirtualFileSystem(IDirectory root)
            : base(root) {
        }
    }
}
