
using NMock2;
using NUnit.Framework;
namespace OpenServers.Net.Common {
    public abstract class BaseNMockTest {
        private Mockery _mocks;

        public Mockery Mocks {
            get { return _mocks; }
        }

        [SetUp]
        public virtual void SetUp() {
            _mocks = new Mockery();
        }

        [TearDown]
        public virtual void TearDown() {
            Mocks.VerifyAllExpectationsHaveBeenMet();
        }
    }
}
