/*
     Copyright 2007 Joseph M. Ferner

   Licensed under the Apache License, Version 2.0 (the "License");
   you may not use this file except in compliance with the License.
   You may obtain a copy of the License at

       http://www.apache.org/licenses/LICENSE-2.0

   Unless required by applicable law or agreed to in writing, software
   distributed under the License is distributed on an "AS IS" BASIS,
   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
   See the License for the specific language governing permissions and
   limitations under the License.
*/

namespace OpenServers.Net.FtpServer.Command {
    /// <summary>
    /// Marker interface for marking a class as being an extension feature.
    /// </summary>
    public interface IFeatureCommand {
        /// <summary>
        /// string representation of the feature parameters.
        /// </summary>
        string FeatureParams { get; }
    }
}
